# Generated by Django 5.0.6 on 2024-06-24 07:20

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DbmDic',
            fields=[
                ('dic_id', models.AutoField(primary_key=True, serialize=False)),
                ('term_name', models.CharField(blank=True, max_length=32, null=True)),
                ('jp_name', models.CharField(blank=True, max_length=64, null=True)),
                ('en_name', models.CharField(blank=True, max_length=64, null=True)),
                ('pt_name', models.CharField(blank=True, max_length=64, null=True)),
                ('es_name', models.CharField(blank=True, max_length=64, null=True)),
                ('created_tdate', models.DateTimeField()),
            ],
            options={
                'db_table': 'dbm_dic',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbmFooder',
            fields=[
                ('mfooder_id', models.AutoField(primary_key=True, serialize=False)),
                ('fooder_no', models.SmallIntegerField()),
                ('fooder_type', models.SmallIntegerField()),
                ('reg_dep', models.CharField(blank=True, max_length=16, null=True)),
                ('reg_arv', models.CharField(blank=True, max_length=16, null=True)),
                ('created_tdate', models.DateTimeField()),
            ],
            options={
                'db_table': 'dbm_fooder',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbmHen',
            fields=[
                ('hen_id', models.AutoField(primary_key=True, serialize=False)),
                ('hen_name', models.CharField(blank=True, max_length=128, null=True)),
                ('created_tdate', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'db_table': 'dbm_hen',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbmHouse',
            fields=[
                ('house_id', models.AutoField(primary_key=True, serialize=False)),
                ('house_name', models.CharField(blank=True, max_length=64, null=True)),
                ('created_tdate', models.DateTimeField()),
            ],
            options={
                'db_table': 'dbm_house',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbmLotBackup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lot_id', models.IntegerField()),
                ('lot_name', models.CharField(blank=True, max_length=32, null=True)),
                ('house_id', models.IntegerField()),
                ('cage_num', models.IntegerField(blank=True, null=True)),
                ('equip_type', models.SmallIntegerField()),
                ('comm_type', models.SmallIntegerField()),
                ('ip_address', models.CharField(blank=True, max_length=32, null=True)),
                ('food_input', models.SmallIntegerField()),
                ('stop_count', models.SmallIntegerField()),
                ('created_tdate', models.DateTimeField()),
            ],
            options={
                'db_table': 'dbm_lot_backup',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbmPrice',
            fields=[
                ('price_id', models.AutoField(primary_key=True, serialize=False)),
                ('price_date', models.DateField()),
                ('food_price', models.IntegerField(blank=True, null=True)),
                ('stdegg_price', models.IntegerField(blank=True, null=True)),
                ('outegg_price', models.IntegerField(blank=True, null=True)),
                ('created_tdate', models.DateTimeField()),
            ],
            options={
                'db_table': 'dbm_price',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbmUser',
            fields=[
                ('user_id', models.CharField(max_length=8, primary_key=True, serialize=False)),
                ('password', models.CharField(max_length=8)),
                ('user_name', models.CharField(blank=True, max_length=64, null=True)),
                ('created_tdate', models.DateTimeField()),
            ],
            options={
                'db_table': 'dbm_user',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbtHengrp',
            fields=[
                ('hengrp_id', models.AutoField(primary_key=True, serialize=False)),
                ('hengrp_name', models.CharField(blank=True, max_length=64, null=True)),
                ('created_tdate', models.DateTimeField()),
            ],
            options={
                'db_table': 'dbt_hengrp',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbmFooderst',
            fields=[
                ('mfooderst_id', models.AutoField(primary_key=True, serialize=False)),
                ('start_time', models.TimeField()),
                ('apply_date', models.DateField()),
                ('created_tdate', models.DateTimeField()),
                ('mfooder', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmfooder')),
            ],
            options={
                'db_table': 'dbm_fooderst',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbmLot',
            fields=[
                ('lot_id', models.AutoField(primary_key=True, serialize=False)),
                ('lot_name', models.CharField(blank=True, max_length=32, null=True)),
                ('cage_num', models.IntegerField(blank=True, null=True)),
                ('equip_type', models.SmallIntegerField()),
                ('comm_type', models.SmallIntegerField()),
                ('ip_address', models.CharField(blank=True, max_length=32, null=True)),
                ('food_input', models.SmallIntegerField()),
                ('eggco', models.SmallIntegerField()),
                ('stop_count', models.SmallIntegerField()),
                ('created_tdate', models.DateTimeField()),
                ('house', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmhouse')),
            ],
            options={
                'db_table': 'dbm_lot',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbmFw',
            fields=[
                ('mfw_id', models.AutoField(primary_key=True, serialize=False)),
                ('fw_no', models.SmallIntegerField()),
                ('reg_food_up', models.CharField(blank=True, max_length=16, null=True)),
                ('reg_food_lo', models.CharField(blank=True, max_length=16, null=True)),
                ('reg_water', models.CharField(blank=True, max_length=16, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('lot', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmlot')),
            ],
            options={
                'db_table': 'dbm_fw',
                'managed': True,
            },
        ),
        migrations.AddField(
            model_name='dbmfooder',
            name='lot',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmlot'),
        ),
        migrations.CreateModel(
            name='DbmEgg',
            fields=[
                ('megg_id', models.AutoField(primary_key=True, serialize=False)),
                ('eggctr_no', models.SmallIntegerField()),
                ('cage_row', models.SmallIntegerField()),
                ('cage_tier', models.SmallIntegerField()),
                ('reg_egg', models.CharField(blank=True, max_length=16, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('lot', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmlot')),
            ],
            options={
                'db_table': 'dbm_egg',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbmManual',
            fields=[
                ('manul_id', models.AutoField(primary_key=True, serialize=False)),
                ('week_periods', models.SmallIntegerField()),
                ('survival_rate', models.SmallIntegerField(blank=True, null=True)),
                ('hen_weight', models.SmallIntegerField(blank=True, null=True)),
                ('egg_weight', models.SmallIntegerField(blank=True, null=True)),
                ('egg_rate', models.SmallIntegerField(blank=True, null=True)),
                ('egg_vol', models.SmallIntegerField(blank=True, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('hen', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmhen')),
            ],
            options={
                'db_table': 'dbm_manual',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbmThermo',
            fields=[
                ('mthermo_id', models.AutoField(primary_key=True, serialize=False)),
                ('mthermo_type', models.SmallIntegerField()),
                ('mthermo_no', models.SmallIntegerField()),
                ('reg_cur', models.CharField(blank=True, max_length=16, null=True)),
                ('reg_high', models.CharField(blank=True, max_length=16, null=True)),
                ('reg_low', models.CharField(blank=True, max_length=16, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('lot', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmlot')),
            ],
            options={
                'db_table': 'dbm_thermo',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbtBatch',
            fields=[
                ('batch_id', models.AutoField(primary_key=True, serialize=False)),
                ('growth_kind', models.SmallIntegerField(blank=True, null=True)),
                ('start_date', models.DateField(blank=True, null=True)),
                ('end_date', models.DateField(blank=True, null=True)),
                ('initial_count', models.IntegerField(blank=True, null=True)),
                ('feeding_date', models.DateField(blank=True, null=True)),
                ('eggcnt_stime', models.SmallIntegerField(blank=True, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('eggcnt_etime', models.SmallIntegerField(blank=True, null=True)),
                ('hen', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmhen')),
                ('lot', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmlot')),
                ('hengrp', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbthengrp')),
            ],
            options={
                'db_table': 'dbt_batch',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbtCollection',
            fields=[
                ('collect_id', models.AutoField(primary_key=True, serialize=False)),
                ('col_tdate', models.DateTimeField()),
                ('created_tdate', models.DateTimeField()),
                ('batch', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbtbatch')),
            ],
            options={
                'db_table': 'dbt_collection',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbtEgg',
            fields=[
                ('tegg_id', models.AutoField(primary_key=True, serialize=False)),
                ('egg_count', models.IntegerField(blank=True, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('collect', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbtcollection')),
                ('megg', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmegg')),
            ],
            options={
                'db_table': 'dbt_egg',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbtEggCopy',
            fields=[
                ('tegg_id', models.AutoField(primary_key=True, serialize=False)),
                ('egg_count', models.IntegerField(blank=True, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('collect', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbtcollection')),
                ('megg', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmegg')),
            ],
            options={
                'db_table': 'dbt_egg_copy',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbtFooder',
            fields=[
                ('tfooder_id', models.AutoField(primary_key=True, serialize=False)),
                ('departure_time', models.TimeField(blank=True, null=True)),
                ('arrival_time', models.TimeField(blank=True, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('collect', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbtcollection')),
                ('mfooder', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmfooder')),
            ],
            options={
                'db_table': 'dbt_fooder',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbtFw',
            fields=[
                ('tfw_id', models.AutoField(primary_key=True, serialize=False)),
                ('food_amount', models.IntegerField(blank=True, null=True)),
                ('water_amount', models.IntegerField(blank=True, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('collect', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbtcollection')),
                ('mfw', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmfw')),
            ],
            options={
                'db_table': 'dbt_fw',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbtSummary',
            fields=[
                ('summary_id', models.AutoField(primary_key=True, serialize=False)),
                ('summary_date', models.DateField()),
                ('day_periods', models.SmallIntegerField(blank=True, null=True)),
                ('week_periods', models.SmallIntegerField(blank=True, null=True)),
                ('egg_count', models.IntegerField(blank=True, null=True)),
                ('food_amount', models.IntegerField(blank=True, null=True)),
                ('water_amount', models.IntegerField(blank=True, null=True)),
                ('curr_count', models.IntegerField(blank=True, null=True)),
                ('dead_count', models.IntegerField(blank=True, null=True)),
                ('hen_weight', models.SmallIntegerField(blank=True, null=True)),
                ('egg_weight', models.SmallIntegerField(blank=True, null=True)),
                ('defection', models.SmallIntegerField(blank=True, null=True)),
                ('coeff', models.SmallIntegerField(blank=True, null=True)),
                ('daylight_hours', models.SmallIntegerField(blank=True, null=True)),
                ('preset_temp', models.SmallIntegerField(blank=True, null=True)),
                ('room_temp', models.SmallIntegerField(blank=True, null=True)),
                ('room_temp_hi', models.SmallIntegerField(blank=True, null=True)),
                ('room_temp_lo', models.SmallIntegerField(blank=True, null=True)),
                ('outer_temp', models.SmallIntegerField(blank=True, null=True)),
                ('outer_temp_hi', models.SmallIntegerField(blank=True, null=True)),
                ('outer_temp_lo', models.SmallIntegerField(blank=True, null=True)),
                ('humidity', models.SmallIntegerField(blank=True, null=True)),
                ('humidity_upl', models.SmallIntegerField(blank=True, null=True)),
                ('humidity_lol', models.SmallIntegerField(blank=True, null=True)),
                ('min_ventilation', models.SmallIntegerField(blank=True, null=True)),
                ('bmin_ventilation', models.SmallIntegerField(blank=True, null=True)),
                ('comments', models.CharField(blank=True, max_length=256, null=True)),
                ('remv_excr', models.CharField(blank=True, max_length=256, null=True)),
                ('ventilation_setup', models.SmallIntegerField(blank=True, null=True)),
                ('ventilation', models.SmallIntegerField(blank=True, null=True)),
                ('food_interval', models.CharField(blank=True, max_length=256, null=True)),
                ('heating', models.CharField(blank=True, max_length=256, null=True)),
                ('water_pos', models.CharField(blank=True, max_length=256, null=True)),
                ('aircon_system', models.CharField(blank=True, max_length=256, null=True)),
                ('lighting_time', models.CharField(blank=True, max_length=256, null=True)),
                ('food', models.CharField(blank=True, max_length=256, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('batch', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbtbatch')),
                ('collect', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbtcollection')),
            ],
            options={
                'db_table': 'dbt_summary',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbtEggchg',
            fields=[
                ('eggchg_id', models.AutoField(primary_key=True, serialize=False)),
                ('egg_count', models.IntegerField(blank=True, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('megg', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmegg')),
                ('summary', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbtsummary')),
            ],
            options={
                'db_table': 'dbt_eggchg',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='DbtThermo',
            fields=[
                ('tthermo_id', models.AutoField(primary_key=True, serialize=False)),
                ('cur_val', models.SmallIntegerField(blank=True, null=True)),
                ('high_val', models.SmallIntegerField(blank=True, null=True)),
                ('low_val', models.SmallIntegerField(blank=True, null=True)),
                ('created_tdate', models.DateTimeField()),
                ('collect', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbtcollection')),
                ('mthermo', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='api.dbmthermo')),
            ],
            options={
                'db_table': 'dbt_thermo',
                'managed': True,
            },
        ),
    ]
